Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence.timer
Class GlobalJPATimerJobFactoryManager

    java.lang.Object
      org.jbpm.persistence.timer.GlobalJPATimerJobFactoryManager

All Implemented Interfaces:
  org.drools.core.time.impl.TimerJobFactoryManager

    public class GlobalJPATimerJobFactoryManager

extends Object
implements org.drools.core.time.impl.TimerJobFactoryManager

Constructor Summary
`GlobalJPATimerJobFactoryManager()`

Method Summary
`void` | `addTimerJobInstance(org.drools.core.time.impl.TimerJobInstance instance)`
`org.drools.core.time.impl.TimerJobInstance` | `createTimerJobInstance(org.drools.core.time.Job job, org.drools.core.time.JobContext ctx, org.drools.core.time.Trigger trigger, org.drools.core.time.JobHandle handle, org.drools.core.time.InternalSchedulerService scheduler)`
`org.drools.core.command.CommandService` | `getCommandService()`
`Collection<org.drools.core.time.impl.TimerJobInstance>` | `getTimerJobInstances()`
`Collection<org.drools.core.time.impl.TimerJobInstance>` | `getTimerJobInstances(Integer sessionId)`
`void` | `removeTimerJobInstance(org.drools.core.time.impl.TimerJobInstance instance)`
`void` | `setCommandService(org.drools.core.command.CommandService commandService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalJPATimerJobFactoryManager

    public GlobalJPATimerJobFactoryManager()

Method Detail

### setCommandService

    public void setCommandService(org.drools.core.command.CommandService commandService)

  Specified by:
    `setCommandService` in interface `org.drools.core.time.impl.TimerJobFactoryManager`

### createTimerJobInstance

    public org.drools.core.time.impl.TimerJobInstance createTimerJobInstance(org.drools.core.time.Job job,
                                                                             org.drools.core.time.JobContext ctx,
                                                                             org.drools.core.time.Trigger trigger,
                                                                             org.drools.core.time.JobHandle handle,
                                                                             org.drools.core.time.InternalSchedulerService scheduler)

  Specified by:
    `createTimerJobInstance` in interface `org.drools.core.time.impl.TimerJobFactoryManager`

### addTimerJobInstance

    public void addTimerJobInstance(org.drools.core.time.impl.TimerJobInstance instance)

  Specified by:
    `addTimerJobInstance` in interface `org.drools.core.time.impl.TimerJobFactoryManager`

### removeTimerJobInstance

    public void removeTimerJobInstance(org.drools.core.time.impl.TimerJobInstance instance)

  Specified by:
    `removeTimerJobInstance` in interface `org.drools.core.time.impl.TimerJobFactoryManager`

### getTimerJobInstances

    public Collection<org.drools.core.time.impl.TimerJobInstance> getTimerJobInstances()

  Specified by:
    `getTimerJobInstances` in interface `org.drools.core.time.impl.TimerJobFactoryManager`

### getTimerJobInstances

    public Collection<org.drools.core.time.impl.TimerJobInstance> getTimerJobInstances(Integer sessionId)

### getCommandService

    public org.drools.core.command.CommandService getCommandService()

  Specified by:
    `getCommandService` in interface `org.drools.core.time.impl.TimerJobFactoryManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.